Bug 93906 - maintainer-update of mail/mutt-devel
Summary: maintainer-update of mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-27 16:40 UTC by Udo.Schweigert
Modified: 2006-03-15 10:12 UTC (History)
0 users

See Also:


Attachments
file.diff (1.52 KB, patch)
2006-02-27 16:40 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2006-02-27 16:40:09 UTC
Maintainer update of mail/mutt-devel:

	- Update the sidebar patch.
	- Bump PORTREVISION.
Comment 1 Renato Botelho freebsd_committer 2006-02-28 18:43:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Udo.Schweigert 2006-03-05 19:37:04 UTC
Here is a new patch, additonally adding a new knob.

Thus we have:
	- Add WITH_MUTT_ASSUMED_CHARSET_PATCH knob
	- Update the sidebar patch.
	- Bump PORTREVISION.


Best regards

-- 
Udo Schweigert, Siemens AG   | Voice      : +49 89 636 42170
CT IC CERT, Siemens CERT     | Fax        : +49 89 636 41166
D-81730 Muenchen / Germany   | email      : udo.schweigert@siemens.com

diff -ru  /usr/ports/mail/mutt-devel/Makefile ./Makefile
--- /usr/ports/mail/mutt-devel/Makefile	Sat Feb 18 06:07:30 2006
+++ ./Makefile	Sun Mar  5 20:31:18 2006
@@ -92,13 +92,16 @@
 # If you do not want mutt to use the flock() function define:
 #  WITHOUT_MUTT_FLOCK
 #
-# If you want to enable reverse_reply option define:
+# If you want to enable the reverse_reply option define:
 #  WITH_MUTT_REVERSE_REPLY_PATCH
 #
+# If you want to enable the assumed_charset option define:
+#  WITH_MUTT_ASSUMED_CHARSET_PATCH
+#
 
 PORTNAME=	mutt-devel
 PORTVERSION=	1.5.11
-PORTREVISION?=	1
+PORTREVISION?=	2
 CATEGORIES+=	mail ipv6
 .if defined(WITH_MUTT_NNTP)
 CATEGORIES+=	news
@@ -126,7 +129,8 @@
 		ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
 		http://cedricduval.free.fr/mutt/patches/download/:cd \
 		http://home.woolridge.ca/mutt/patches/:dw \
-		http://www.spinnaker.de/mutt/compressed/:rr
+		http://www.spinnaker.de/mutt/compressed/:rr \
+		http://www.emaillab.org/mutt/${AC_PATCH_VERSION}/:jp
 
 MAINTAINER?=	udo.schweigert@siemens.com
 COMMENT?=	The Mongrel of Mail User Agents (development version)
@@ -158,6 +162,7 @@
 CD_PATCH_VERSION=	1.5.5.1
 CD_IFDEF_PATCH_VERSION=	1.5.4
 DW_PATCH_VERSION=	1.5.6
+AC_PATCH_VERSION=	1.5.9
 .if !defined(VVV_PATCH_VERSION)
 VVV_PATCH_VERSION=	${PORTVERSION}
 .endif
@@ -176,6 +181,9 @@
 .if !defined(DW_MBOX_PATCH_VERSION)
 DW_MBOX_PATCH_VERSION=	${DW_PATCH_VERSION}
 .endif
+.if !defined(AC_PATCH_VERSION)
+AC_PATCH_VERSION=	${PORTVERSION}
+.endif
 .if defined(WITH_MUTT_MAILDIR_HEADER_CACHE)
 WITH_MUTT_IMAP_HEADER_CACHE=	yes
 .endif
@@ -190,6 +198,11 @@
 IGNORE=	cannot install: the WITH_MUTT_SIDEBAR_PATCH and WITH_MUTT_SIGNATURE_MENU are not compatible
 .endif
 .endif
+.if defined(WITH_MUTT_ASSUMED_CHARSET_PATCH)
+.if defined(WITH_MUTT_NNTP)
+IGNORE=	cannot install: the WITH_MUTT_ASSUMED_CHARSET_PATCH and WITH_MUTT_NNTP are not compatible
+.endif
+.endif
 
 .if defined (MUTT_LITE)
 WITHOUT_MUTT_XML=			yes
@@ -396,7 +409,7 @@
 PATCHFILES+=	p0-patch-${DW_MBOX_PATCH_VERSION}.dw.mbox-hook.1:dw
 .endif
 .if defined(WITH_MUTT_SIDEBAR_PATCH)
-SIDEBAR_PATCH=	patch-1.5.11.sidebar.20060127.txt
+SIDEBAR_PATCH=	patch-1.5.11.sidebar.20060225.txt
 DISTFILES+=	${SIDEBAR_PATCH}:thomer
 XML_NEEDED=	yes
 pre-patch::
@@ -404,6 +417,9 @@
 	@${REINPLACE_CMD} -E '/^diff.*\/Makefile.in$$/,/^diff/d' \
 		 ${WRKDIR}/patch-sidebar
 	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-sidebar
+.endif
+.if defined(WITH_MUTT_ASSUMED_CHARSET_PATCH)
+PATCHFILES+=	patch-${AC_PATCH_VERSION}.tt.assumed_charset.2.gz:jp
 .endif
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
diff -ru  /usr/ports/mail/mutt-devel/distinfo ./distinfo
--- /usr/ports/mail/mutt-devel/distinfo	Wed Feb  1 06:07:35 2006
+++ ./distinfo	Sun Mar  5 17:59:04 2006
@@ -19,6 +19,8 @@
 MD5 (mutt/p0-patch-1.5.6.dw.mbox-hook.1) = 9e29a6778ab07a4de3442691e4573fea
 SHA256 (mutt/p0-patch-1.5.6.dw.mbox-hook.1) = ec9511b86a595f9b4f1f96b05d9e9e12e997bc62b0a0f2b5a36e2817dee61406
 SIZE (mutt/p0-patch-1.5.6.dw.mbox-hook.1) = 6405
-MD5 (mutt/patch-1.5.11.sidebar.20060127.txt) = fa28f836623356cde6d91e9ea4514e62
-SHA256 (mutt/patch-1.5.11.sidebar.20060127.txt) = 7a0a5378c0771e179bcc6558cebae9cbcea83bcfd17f14dda86d974dd1d59d2d
-SIZE (mutt/patch-1.5.11.sidebar.20060127.txt) = 47451
+MD5 (mutt/patch-1.5.9.tt.assumed_charset.2.gz) = 45cacc5155f1865ace31c72e2bffee63
+SHA256 (mutt/patch-1.5.9.tt.assumed_charset.2.gz) = 41ae6d049d2d39c3bb01d534a760372ec571bc51e90c259f529c477aa41d3d7e
+SIZE (mutt/patch-1.5.9.tt.assumed_charset.2.gz) = 2555
+SHA256 (mutt/patch-1.5.11.sidebar.20060225.txt) = 2bdc62298cffed83854a83a1ad100fdf8285dd6d9bfb59a818e5cf4dc5d2b700
+SIZE (mutt/patch-1.5.11.sidebar.20060225.txt) = 47547
Comment 3 Renato Botelho freebsd_committer 2006-03-15 10:12:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!